Bug 27373 (choose_file_error) - Choose File to upload on many sites is not working
Summary: Choose File to upload on many sites is not working
Status: RESOLVED WORKSFORME
Alias: choose_file_error
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.5
: P1 Normal
Assignee: Nobody
URL: http://bighugelabs.com/motivator.php
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-17 09:27 PDT by overlord.luchao
Modified: 2011-07-11 15:53 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description overlord.luchao 2009-07-17 09:27:05 PDT
Using the Webkit Nightly Build r45980 on Mac OS X 10.5.7. This has been also identified since r45788 as to ones knowledge. The specific error seems to be surrounding:
<input name="userfile" type="file"> in the above website.

This can also be reproduced when creating a new Facebook event:
<input type="file" class="inputfile" size="30" id="pic" name="pic" />

When the "Choose File" option is clicked there is no activity, and no option to open a file to upload. From the console:

http://bighugelabs.com/motivator.php
17/07/2009 17:16:09 Safari[900] *** -[BrowserWebView webView:runOpenPanelForFileButtonWithResultListener:]: unrecognized selector sent to instance 0x1d7ec7b0 
17/07/2009 17:16:09 Safari[900] *** WebKit discarded an uncaught exception in the webView:runOpenPanelForFileButtonWithResultListener: delegate: <NSInvalidArgumentException> *** -[BrowserWebView webView:runOpenPanelForFileButtonWithResultListener:]: unrecognized selector sent to instance 0x1d7ec7b0 

Editing Facebook event:
17/07/2009 17:17:53 Safari[900] *** -[BrowserWebView webView:runOpenPanelForFileButtonWithResultListener:]: unrecognized selector sent to instance 0x17807280
17/07/2009 17:17:53 Safari[900] *** WebKit discarded an uncaught exception in the webView:runOpenPanelForFileButtonWithResultListener: delegate: <NSInvalidArgumentException> *** -[BrowserWebView webView:runOpenPanelForFileButtonWithResultListener:]: unrecognized selector sent to instance 0x17807280

I am unsure as to where to place this, I am able to reproduce the same error in Safari Version 4.0.2 (5530.19) with a similar Console error. Using Stainless ( http://stainlessapp.com ) which can use the WebKit Nightly Builds there is no error.
Comment 1 ECJB 2011-07-09 12:13:34 PDT
When running the current Windows build (90681) to upload to the University of Phoenix, the Open dialog works.  However, when the upload process starts, Webkit immediately crashes and exits.
Comment 2 Alexey Proskuryakov 2011-07-11 15:52:22 PDT
> However, when the upload process starts, Webkit immediately crashes and exits.

Please file a separate bug for this.
Comment 3 Alexey Proskuryakov 2011-07-11 15:53:58 PDT
This bug is definitely obsolete by now, and likely fixed years ago.